Complete checkout for an authenticated user
curl --request POST \
--url https://memex.garden/api/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planId": "credit-pack-1000",
"payment": {
"provider": "stripe",
"sharedPaymentToken": "spt_..."
}
}
'import requests
url = "https://memex.garden/api/checkout"
payload = {
"planId": "credit-pack-1000",
"payment": {
"provider": "stripe",
"sharedPaymentToken": "spt_..."
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
planId: 'credit-pack-1000',
payment: {provider: 'stripe', sharedPaymentToken: 'spt_...'}
})
};
fetch('https://memex.garden/api/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "succeeded",
"planId": "<string>",
"paymentIntentId": "<string>",
"usageBalanceMicrosGranted": 123
}{
"error": "Unauthorized"
}{
"error": "SUBSCRIPTION_AGENTIC_CHECKOUT_UNSUPPORTED",
"message": "<string>"
}{
"error": "Internal server error",
"message": "<string>"
}API reference
Complete checkout for an authenticated user
Buys one-time Memex usage-balance plans with a Stripe Shared Payment Token. Send an Idempotency-Key header for retry-safe payment attempts. Subscription plans should send the user to https://memex.garden/pricing.
POST
/
checkout
Complete checkout for an authenticated user
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json

